Bug 712638 - iscsi target outgoing user binding broken unexpectedly
Summary: iscsi target outgoing user binding broken unexpectedly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: scsi-target-utils
Version: 14
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Andy Grover
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-12 02:37 UTC by Ian Dall
Modified: 2011-07-12 04:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-08 21:21:00 UTC
Type: ---


Attachments (Terms of Use)
Shell script to exercise tgt-utils (959 bytes, application/octet-stream)
2011-06-12 02:37 UTC, Ian Dall
no flags Details
Standard output from tgt-test script (2.69 KB, text/plain)
2011-06-12 02:39 UTC, Ian Dall
no flags Details
Log output from "tgtd -d 9" while running tgt-test script (5.03 KB, text/plain)
2011-06-12 02:40 UTC, Ian Dall
no flags Details
Patch to only unbind users which are bound to a target. (376 bytes, patch)
2011-06-15 12:44 UTC, Ian Dall
no flags Details | Diff

Description Ian Dall 2011-06-12 02:37:46 UTC
Created attachment 504285 [details]
Shell script to exercise tgt-utils

Description of problem:
When multiple targets are set up with outgoing users, modifying one target invalidates the binding of the outgoing user to unrelated targets.

Version-Release number of selected component (if applicable):
1.0.1-3.fc13

How reproducible:
Always

Steps to Reproduce: 
1. Create two targets "iqn.test:test1" and "iqn.test:test2"
2. Delete target "iqn.test:test1"
3. Recreate target "iqn.test:test1"
  
Actual results:
tgt-admin --dump shows that "iqn.test:test2" has lost its outgoing user, even though only "iqn.test:test1" should have been changed.

Expected results:
Operations on one target are unaffected by operations on another target

Additional info:
It is possible to fix up the outgoing user binding explicitly. It may be that operations are order dependent, but I am using "tgt-admin --update" which should do the right thing.

I have attached a script which demonstrates the problem.

Comment 1 Ian Dall 2011-06-12 02:39:36 UTC
Created attachment 504286 [details]
Standard output from tgt-test script

Comment 2 Ian Dall 2011-06-12 02:40:48 UTC
Created attachment 504287 [details]
Log output from "tgtd -d 9" while running tgt-test script

Comment 3 Ian Dall 2011-06-15 12:44:08 UTC
Created attachment 504861 [details]
Patch to only unbind users which are bound to a target.

This patch fixes the reported problem with no apparent side effects.

Comment 4 Andy Grover 2011-06-15 22:17:43 UTC
Ian, thanks for tracking this bug down.

I see this is not fixed in stgt upstream. Would you like to submit the patch yourself to stgt@vger.kernel.org? If not, I can follow up on your behalf.

Comment 5 Ian Dall 2011-06-16 09:37:53 UTC
OK. I have reported it upstream.

Comment 6 Fedora Update System 2011-06-30 01:19:31 UTC
scsi-target-utils-1.0.18-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/scsi-target-utils-1.0.18-1.fc15

Comment 7 Fedora Admin XMLRPC Client 2011-06-30 22:03:48 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Update System 2011-06-30 22:14:33 UTC
scsi-target-utils-1.0.18-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/scsi-target-utils-1.0.18-1.fc14

Comment 9 Fedora Update System 2011-07-08 18:02:03 UTC
scsi-target-utils-1.0.18-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-07-12 04:55:14 UTC
scsi-target-utils-1.0.18-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.